import http.server
import socketserver

http.server.CGIHTTPRequestHandler.cgi_directories=['.']
http.server.CGIHTTPRequestHandler.have_fork = False

class Handler(http.server.CGIHTTPRequestHandler):

    def __init__(self, request, client, server):
        super().__init__(request, client, server)

    def is_cgi(self):
        self.cgi_info = ('.', self.path[1:])
        return True

host, port = "localhost", 1080
with socketserver.TCPServer((host, port), Handler) as httpd:
    print("Listening to", host + ":" + str(port))
    httpd.server_name = host
    httpd.server_port = port
    httpd.serve_forever()
